// Copyright distributed.net 1997-1999 - All Rights Reserved
// For use in distributed.net projects only.
// Any other distribution or use of this source violates copyright.
//
// $Log: w32pre.h,v $
// Revision 1.4  1999/01/01 02:45:20  cramer
// Part 1 of 1999 Copyright updates...
//
// Revision 1.3  1998/12/01 00:24:38  cyp
// Created/combined various getversion functions in winGetVersion(). Created
// winInstallClient()/winDeinstallClient() [primarily for use with win16 but
// it execs w32Install/DeinstallService() if running on win32]
//
// Revision 1.2  1998/10/19 13:21:14  cyp
// win16 changes
//
// Revision 1.1  1998/10/11 00:27:12  cyp
// Created.
//
//

#ifndef __WINCLIENTPRELUDE_H__
#define __WINCLIENTPRELUDE_H__

/* get the client's instance handle */
HINSTANCE winGetInstanceHandle(void);

/* get the nCmdShow that the client was started with */
int winGetInstanceShowCmd(void);

/* this is the abstraction layer between WinMain() and realmain() */
int winClientPrelude(HINSTANCE hInstance, HINSTANCE hPrevInstance,
    LPSTR lpszCmdLine, int nCmdShow, int (*realmain)(int argc, char **argv));

/* get argc */
int winGetInstanceArgc(void);

/* get argv */
char **winGetInstanceArgv(void);

/* version (in)dependant -install */
int winInstallClient(int quietly);

/* version (in)dependant -uninstall */
int winUninstallClient(int quietly);

/* returns DOS style version: (major*100)+minor. major is >=20 if NT */
long winGetVersion(void);

#endif
